变量值 = 取NPC变量(9);

function Main()

 if(变量值 == 0) then
 提示("你认为读书好不好?");
 选择项("这个嘛我不知道好不好,能不能讲一下好处呢?@讲述1","我是一个伟大武者@exit");
 elseif(变量值 == 1) then
 提示("众里寻他千百度,柳岸花明又一村....");
 选择项("厄....@exit")
 else
 提示("我先读书了,快要考试了.");
 选择项("嗯,好的@exit");
 end;

end;

function 讲述1()
提示("子曾经曰过...");
选择项("去!@结束对话","我觉得读书为编程帮忙了不少@讲述2");

end;

function 结束对话()
置NPC变量(9,1);
exit();
end;

function 讲述2()
提示("!!编程是不是就是传说中的电脑编程?\n好像我们现在就是编程创造出来的\n真是无奇不有啊!\n听说window7是最新系统.");
选择项("对呀,我是前几天从21世纪被编写到这个古代来了@讲述3","完全不懂你在说什么,我忙去@结束对话");
end;

function 讲述3()
提示("这次进京考试后,我也坐时光机去未来的科技时代看看!\n顺便研究编程,呵呵!");
选择项("记得带上我咯!@讲述完毕");
end;

function 讲述完毕()
置NPC变量(9,2);
exit();
end;

Main();